#### PyKDE - Python Bindings for KDE

# class KFileMimeTypeInfo |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KFileMimeTypeInfo
Inherits |

### enums

- Attributes = {Addable, Removable, Modifiable, Cumulative, Cummulative, Averaged, MultiLine, SqueezeText }
- Attributes = {Addable, Removable, Modifiable, Cummulative, Averaged, MultiLine, SqueezeText }
- Attributes = {Addable, Removable, Modifiable, Cummulative, Averaged }
- Hint = {NoHint, Name, Author, Description, Width, Height, Size, Bitrate, Length, Hidden, Thumbnail }
- Unit = {NoUnit, Seconds, MilliSeconds, BitsPerSecond, Pixels, Inches, Centimeters, Bytes, FramesPerSecond, DotsPerInch, BitsPerPixel, Hertz, KiloBytes, Millimeters }

### methods

- KFileMimeTypeInfo ()

  returns a KFileMimeTypeInfo instance

- KFileMimeTypeInfo (mimeType)

  returns a KFileMimeTypeInfo instance
  Argument | Type | Default
  --- | --- | ---
  mimeType | QString |

- addGroupInfo (name, translatedName)

  returns (KFileMimeTypeInfo.GroupInfo)
  Argument | Type | Default
  --- | --- | ---
  name | QString |
  translatedName | QString |

- createValidator (group, key, parent = 0, name = 0)

  returns (QValidator)
  Argument | Type | Default
  --- | --- | ---
  group | QString |
  key | QString |
  parent | QObject | 0
  name | char | 0

- groupInfo (group)

  returns (KFileMimeTypeInfo.GroupInfo)
  Argument | Type | Default
  --- | --- | ---
  group | QString |

- mimeType ()

  returns (QString)

- preferredGroups ()

  returns (QStringList)

- preferredKeys ()

  returns (QStringList)

- supportedGroups ()

  returns (QStringList)

- supportedKeys ()

  returns (QStringList)

- translatedGroups ()

  returns (QStringList)

### variables

- variables

  Variable | Type
  --- | ---
  m_attr | uint
  m_itemDict | QDict
  m_supportedKeys | QStringList
  m_translatedName | QString